# Module bench_fun

- Description
- Data Types
- Function Index
- Function Details

i++ benchmark.

Copyright © 2008-2015 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

i++ benchmark

## Data Types

### client_key()

    client_key() = [unicode_char()]

### unicode_char()

    unicode_char() = 0..55295 | 57344..65533 | 65536..1114111

## Function Index

increment/1 |
increment_with_histo/1 |
increment_with_key/2 |
quorum_read/1 |
read_read/1 |

## Function Details

### increment/1

    increment(Iterations :: integer()) -> function()

### increment_with_histo/1

    increment_with_histo(Iterations :: integer()) -> function()

### increment_with_key/2

    increment_with_key(Iterations :: integer(), Key :: client_key()) ->
                          function()

### quorum_read/1

    quorum_read(Iterations :: integer()) -> function()

### read_read/1

    read_read(Iterations :: integer()) -> function()

Generated by EDoc, Feb 29 2016, 16:12:16.